@echo off
title 契约机器人
echo.
echo.
echo 契约官网：https://qybot.top/
echo.
echo. 
set FileName=AswRelease.md5
for %%H in (*.exe) do (^
	certutil -hashfile %%H MD5 >APP_MD5_TXT
	set index=0
setlocal ENABLEDELAYEDEXPANSION
	for /f "tokens=* delims= " %%L in (APP_MD5_TXT) do (^
		if !index! == 1 (set md5=%%L) 
		set /a index=index+1
	)
	del APP_MD5_TXT
	set md5=!md5: =!
	if !md5! == ed6addd3748a875770c53aae5e3c5b30 (
		set edition=1
	) else if !md5! == 9ba3fb8f1e4313fa8c86baa37296e097 ( 
		set edition=2
	) else  ( 
		echo 当前版本不支持切换核心
		echo 推荐您访问官网后下载新版
		pause>nul
		exit
	) 
)
if not exist config\QY.cfg (
	echo off&color 4f
	echo 请先使用契约机器人登录账号后再进行操作
	echo.
	echo.
	pause>nul
	exit
)
cd .\config
setlocal enabledelayedexpansion
set protocol=null
for /f "delims=" %%u in ('type "QY.cfg"^| find /i "="') do set %%u
if %protocol%==null (
	echo cd /receive>>QY.cfg
	echo [Main] %2>>QY.cfg
	echo protocol=0 %2>>QY.cfg
	set protocol=0
)

if %edition% == 1 (
	if %protocol% == 1 (
		echo 您的契约机器人正在使用Android协议 TIM核心
	) else if %protocol% == 2 ( 
		echo 您的契约机器人正在使用Android协议 QQHD核心
	) else if %protocol% == 3 ( 
		echo 您的契约机器人正在使用Android协议 QQ国际版核心
	) else  ( 
		echo 您的契约机器人正在使用Android协议 QQ核心
	) 
) else if %edition% == 2 ( 
	if %protocol% == 1 (
		echo 您的契约机器人正在使用PC协议 TIM核心
	) else if %protocol% == 2 ( 
		echo 您的契约机器人正在使用PC协议 企点核心
	) else  ( 
		echo 您的契约机器人正在使用PC协议 QQ核心
	)
) else  ( 
	echo 发生错误!
	pause>nul
	exit
) 
echo.
echo.
echo 您是否需要将契约机器人切换为其他核心
echo 按任意键继续，不需要切换核心请关闭窗口
echo.
echo.
pause>nul
CLS
echo off&color 6f
echo.
echo.
echo.
:begin
echo.
echo 警告：部分核心可能无法正常使用设备锁等功能
echo 提示：部分核心可以实现手机电脑和契约机器人同时登录
echo.
echo.

if %edition% == 1 (
	echo #0/Android协议 QQ核心      #1/Android协议 TIM核心      #2/Android协议 QQHD核心      #3/Android协议 QQ国际版核心
) else if %edition% == 2 ( 
	echo #0/PC协议 QQ核心      #1/PC协议 TIM核心      #2/PC协议 企点核心
) else  ( 
	echo 发生错误!
	pause>nul
	exit
) 
echo.
set /p shuzhi=请输入您要使用的协议：#
echo.
echo.
if %edition% == 1 (
	if %shuzhi% == 0 (
		CLS
		echo.
		echo.
		echo 您选择了Android协议 QQ核心
	) else if %shuzhi% == 1 ( 
		CLS
		echo.
		echo.
		echo 您选择了Android协议 TIM核心
	) else if %shuzhi% == 2 ( 
		CLS
		echo.
		echo.
		echo 您选择了Android协议 QQHD核心
	) else if %shuzhi% == 3 ( 
		CLS
		echo.
		echo.
		echo 您选择了Android协议 QQ国际版核心
	) else  ( 
		CLS
		echo.
		echo.
		echo 您的输入有误，请重新输入
		goto begin
	) 
) else if %edition% == 2 ( 
	if %shuzhi% == 0 (
		CLS
		echo.
		echo.
		echo 您选择了PC协议 QQ核心
	) else if %shuzhi% == 1 ( 
		CLS
		echo.
		echo.
		echo 您选择了PC协议 TIM核心
	) else if %shuzhi% == 2 ( 
		CLS
		echo.
		echo.
		echo 您选择了PC协议 企点核心
	) else  ( 
		CLS
		echo.
		echo.
		echo 您的输入有误，请重新输入
		goto begin
	) 
) else  ( 
	echo 发生错误!
	pause>nul
	exit
) 
setlocal ENABLEDELAYEDEXPANSION
set f=QY.cfg
for /f "tokens=1,2 delims==" %%i in ('findstr "=" "%f%"') do set #%%i=%%j
set #protocol=%shuzhi%
(for /f "delims==" %%u in (%f%) do if defined #%%u (echo %%u=!#%%u!) else echo %%u)>%f%.new
move /y %f%.new %f%>nul

setlocal enabledelayedexpansion
set protocol=null
for /f "delims=" %%u in ('type "QY.cfg"^| find /i "="') do set %%u
echo.
echo.
if %protocol% == %shuzhi% (
	echo off&color 2f
	echo 核心切换成功
	echo.
	echo.
	echo 重新启动契约机器人后生效
) else  ( 
	echo off&color 4f
	echo 核心切换失败
	echo.
	echo.
	echo 建议下载最新版本后重试
)
echo.
echo.
pause>nul
exit
